%define	name	teaqt
%define	oname	tea
%define	version	43.1.0
%define	release	%mkrel 1

Summary:	A simple-in-use QT-based text editor for KDE
Summary(de):	Ein einfcher TEXT-Editor für KDE basierend auf QT
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Editors
License:	GPLv3
URL:		http://sourceforge.net/projects/tea-editor/
Source0:	http://downloads.sourceforge.net/project/tea-editor/tea-editor/26.0.1/%{oname}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{oname}-%{version}-buildroot
#--------------------------------
BuildRequires: %{_lib}aspell-devel
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: ImageMagick
#--------------------------------
Requires:	%{_lib}qtscript4
Provides: 	teaqt
Obsoletes: 	tea < %{version}

%description
TEA is a very small, but powerful QT text editor with many unique features for KDE.

#german
%description -l de
TEA ist ein einfacher, aber eindrucksvoller QT-Text Editor mit einer Menge 
an Highlights für KDE.


%prep
%setup -q -n %{oname}-%{version}


%build
%qmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std INSTALL_ROOT=%buildroot

mkdir -p %buildroot%_bindir
mv %buildroot/usr/local/bin/tea %buildroot%_bindir/%name

# icons
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_iconsdir,%_miconsdir}
convert -resize 16x16 icons/tea_icon_v2.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -resize 32x32 icons/tea_icon_v2.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert -resize 48x48 icons/tea_icon_v2.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TeaQt
Comment=A simple but powerful text editor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=KDE;TextEditor;Utility;X-MandrivaLinux-MoreApplications-Editors;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/applications/*

%changelog
* Wed Jan 11 2017 adrianomorselli <adrianomorselli> 43.1.0-1uplos2017
- rebuild back to qt4

* Mon Oct 31 2016 ghostbunny <ghostbunny at gmx dot de> 43.1.0-1pclos2016
- 43.1.0
- use qt5

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 41.0.0-1pclos2015
- 41.0.0 and rebuild for new hunspell version

* Mon Nov 17 2014 bb <bb> 39.0.0-1pclos2014
- update

* Thu Apr 10 2014 bb <bb> 36.2.1-1pclos2014
- update

* Tue Apr 01 2014 bb <bb> 37.2.0-1pclos2014
- update
